This project is archived and is in readonly mode.

#891 ✓resolved
Arian

Element requires Slick

Reported by Arian | April 28th, 2010 @ 12:23 PM

Hi, I build MooTools 1.3 using packager, using this setup:

include_once 'Packager/packager.php';
$pkg = new Packager('js/mootools-core');
$pkg->write_from_components('mootools-core.js',array(
        'DomReady',
        'Fx.Transitions',
        'Fx.Tween',
        'Fx.Morph'
));

And I got the Error that Slick is not defined.

uncaught ReferenceError: Slick is not defined

Of course I can add Slick in the components list, but since Element requires Slick, it should be done automatically.
So

requires: [Window, Document, Array, String, Function, Number, Hash]

Should be

requires: [Window, Document, Array, String, Function, Number, Hash, Slick]

in Element.js

Comments and changes to this ticket

  • Arian

    Arian April 28th, 2010 @ 12:26 PM

    Small correction.

    It should be

    requires: [Window, Document, Array, String, Function, Number, Hash, Slick.Parser, Slick.Finder]
    

    Since only adding Slick won't work

  • Christoph Pojer

    Christoph Pojer April 28th, 2010 @ 04:53 PM

    • State changed from “new” to “resolved”

    Thank you. I have fixed it in my fork and it will be included in a later beta or the final release.

Create your profile

Help contribute to this project by taking a few moments to create your personal profile. Create your profile »

Shared Ticket Bins

People watching this ticket

Pages